Gecode::Set::RangesCompl< I > Class Template Reference
Functionality by programming task » Programming actors » Programming set actors

A complement iterator spezialized for the BndSet limits. More...

`#include <var-imp.hpp>`

## Constructors and initialization

| RangesCompl (void)
| Default constructor.
| RangesCompl (I &i)
| Initialize with iterator i.
void | init (I &i)
| Initialize with iterator i.

## Additional Inherited Members

| Compl (void)
| Default constructor.
void | init (I &i)
| Initialize with iterator i.
void | operator++ (void)
| Move iterator to next range (if possible).
| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Member Functions inherited from Gecode::Iter::Ranges::Compl< Limits::min, Limits::max, I >
void | start (void)
| Initialize.
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops
Protected Attributes inherited from Gecode::Iter::Ranges::Compl< Limits::min, Limits::max, I >
I | i
| Iterator to compute complement for.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Detailed Description

template<class I>
class Gecode::Set::RangesCompl< I >

A complement iterator spezialized for the BndSet limits.

Definition at line 292 of file var-imp.hpp.

## Constructor & Destructor Documentation

## RangesCompl() [1/2]

template<class I>

Gecode::Set::RangesCompl< I >::RangesCompl | ( | void |  | ) |

Default constructor.

Definition at line 405 of file integerset.hpp.

## RangesCompl() [2/2]

template<class I>

Gecode::Set::RangesCompl< I >::RangesCompl | ( | I & | i | ) |

Initialize with iterator i.

Definition at line 408 of file integerset.hpp.

## Member Function Documentation

## init()

template<class I>

void Gecode::Set::RangesCompl< I >::init | ( | I & | i | ) |

Initialize with iterator i.

Definition at line 414 of file integerset.hpp.

The documentation for this class was generated from the following files:

- gecode/set/var-imp.hpp
- gecode/set/var-imp/integerset.hpp